using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class CharacterIsJumping:SceneCondition
  {
    [Export]
    public Jump jump;

    public override bool Evaluate()
    {
      if ( jump == null )
      {
        return false;
      } 


      return jump.IsJumping();
    }
  }
}